import { DataSource } from "typeorm";
import config from "./config/index.js";
import { entities } from "./db/postgre.js";

export default new DataSource({
	type: "postgres",
	...(process.env.DATABASE_URL
		? {
				url: process.env.DATABASE_URL,
			}
		: {
				host: config.db.host,
				port: config.db.port,
				username: config.db.user,
				password: config.db.pass,
				database: config.db.db,
			}),
	...(config.db && { extra: config.db.extra }),
	entities: entities,
	migrations: ["built/migration/*.js"],
});
